Package org.drinkless.tdlib

# Class TdApi.PollTypeQuiz

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PollType
org.drinkless.tdlib.TdApi.PollTypeQuiz

Enclosing class:
  TdApi

public static class TdApi.PollTypeQuiz extends TdApi.PollType
A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PollType

  `TdApi.PollType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `correctOptionId`
  0-based identifier of the correct answer option; -1 for a yet unanswered poll.
  `TdApi.FormattedText`
  `explanation`
  Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollTypeQuiz()`
  A poll in quiz mode, which has exactly one correct answer option and can be answered only once.
  `PollTypeQuiz(int correctOptionId, TdApi.FormattedText explanation)`
  A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### correctOptionId

    public int correctOptionId
    0-based identifier of the correct answer option; -1 for a yet unanswered poll.

  - ### explanation

    public TdApi.FormattedText explanation
    Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PollTypeQuiz

    public PollTypeQuiz()
    A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

  - ### PollTypeQuiz

    public PollTypeQuiz(int correctOptionId, TdApi.FormattedText explanation)
    A poll in quiz mode, which has exactly one correct answer option and can be answered only once.
    Parameters:
      `correctOptionId` - 0-based identifier of the correct answer option; -1 for a yet unanswered poll.
      `explanation` - Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PollType`
    Returns:
      this.CONSTRUCTOR